Skip to main content
PATCH
Update a private link for an event type

Headers

cal-api-version
string
default:2024-09-04
required

Must be set to 2024-09-04. Returns the full booking URL including org slug and event slug.

Example:

"2024-09-04"

Authorization
string
required

value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token

Path Parameters

eventTypeId
number
required

Body

application/json
expiresAt
string<date-time>

New expiration date for time-based links

Example:

"2024-12-31T23:59:59.000Z"

maxUsageCount
number

New maximum number of times the link can be used. Pass -1 to opt out of the count cap.

Example:

10

Response

200 - application/json
status
string
required

Response status

Example:

"success"

data
object
required

Updated private link data (either time-based or usage-based)